Package: org.codehaus.groovy.tools.shell

## [Groovy] Class CommandsMultiCompleter

- org.codehaus.groovy.tools.shell.CommandsMultiCompleter

- Completer for interactive shells.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List` | `list`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `def` | `add(Command command)`
    `int` | `complete(String buffer, int pos, List cand)`
    `void` | `refresh()`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### List list

  - ### Method Detail

    - #### def add(Command command)

    - #### int complete(String buffer, int pos, List cand)

    - #### void refresh()